## mingw-w64-flecs-4.0.1-1.src.tar.zst

=== examples/cpp/build/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.22

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /Applications/CMake.app/Contents/bin/cmake

# The command to remove a file.
RM = /Applications/CMake.app/Contents/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /Users/sandermertens/GitHub/SanderMertens/flecs/examples/cpp

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /Users/sandermertens/GitHub/SanderMertens/flecs/examples/cpp/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/Applications/CMake.app/Contents/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/Applications/CMake.app/Contents/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/Applications/CMake.app/Contents/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/Applications/CMake.app/Contents/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/Applications/CMake.app/Contents/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/Applications/CMake.app/Contents/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/Applications/CMake.app/Contents/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/Applications/CMake.app/Contents/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/sandermertens/GitHub/SanderMertens/flecs/examples/cpp/build/CMakeFiles /Users/sandermertens/GitHub/SanderMertens/flecs/examples/cpp/build//CMakeFiles/progress.marks
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/sandermertens/GitHub/SanderMertens/flecs/examples/cpp/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named entities_basics

# Build rule for target.
entities_basics: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 entities_basics
.PHONY : entities_basics

# fast build rule for target.
entities_basics/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/entities_basics.dir/build.make CMakeFiles/entities_basics.dir/build
.PHONY : entities_basics/fast

#=============================================================================
# Target rules for targets named entities_basics_static

# Build rule for target.
entities_basics_static: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 entities_basics_static
.PHONY : entities_basics_static

# fast build rule for target.
entities_basics_static/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/entities_basics_static.dir/build.make CMakeFiles/entities_basics_static.dir/build
.PHONY : entities_basics_static/fast

#=============================================================================
# Target rules for targets named entities_emplace

# Build rule for target.
entities_emplace: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 entities_emplace
.PHONY : entities_emplace

# fast build rule for target.
entities_emplace/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/entities_emplace.dir/build.make CMakeFiles/entities_emplace.dir/build
.PHONY : entities_emplace/fast

#=============================================================================
# Target rules for targets named entities_emplace_static

# Build rule for target.
entities_emplace_static: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 entities_emplace_static
.PHONY : entities_emplace_static

# fast build rule for target.
entities_emplace_static/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/entities_emplace_static.dir/build.make CMakeFiles/entities_emplace_static.dir/build
.PHONY : entities_emplace_static/fast

#=============================================================================
# Target rules for targets named entities_hierarchy

# Build rule for target.
entities_hierarchy: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 entities_hierarchy
.PHONY : entities_hierarchy

# fast build rule for target.
entities_hierarchy/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/entities_hierarchy.dir/build.make CMakeFiles/entities_hierarchy.dir/build
.PHONY : entities_hierarchy/fast

#=============================================================================
# Target rules for targets named entities_hierarchy_static

# Build rule for target.
entities_hierarchy_static: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 entities_hierarchy_static
.PHONY : entities_hierarchy_static

# fast build rule for target.
entities_hierarchy_static/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/entities_hierarchy_static.dir/build.make CMakeFiles/entities_hierarchy_static.dir/build
.PHONY : entities_hierarchy_static/fast

#=============================================================================
# Target rules for targets named entities_hooks

# Build rule for target.
entities_hooks: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 entities_hooks
.PHONY : entities_hooks

# fast build rule for target.
entities_hooks/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/entities_hooks.dir/build.make CMakeFiles/entities_hooks.dir/build
.PHONY : entities_hooks/fast

#=============================================================================
# Target rules for targets named entities_hooks_static

# Build rule for target.
entities_hooks_static: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 entities_hooks_static
.PHONY : entities_hooks_static

# fast build rule for target.
entities_hooks_static/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/entities_hooks_static.dir/build.make CMakeFiles/entities_hooks_static.dir/build
.PHONY : entities_hooks_static/fast

#=============================================================================
# Target rules for targets named entities_iterate_components

# Build rule for target.
entities_iterate_components: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 entities_iterate_components
.PHONY : entities_iterate_components

# fast build rule for target.
entities_iterate_components/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/entities_iterate_components.dir/build.make CMakeFiles/entities_iterate_components.dir/build
.PHONY : entities_iterate_components/fast

#=============================================================================
# Target rules for targets named entities_iterate_components_static

# Build rule for target.
entities_iterate_components_static: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 entities_iterate_components_static
.PHONY : entities_iterate_components_static

# fast build rule for target.
entities_iterate_components_static/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/entities_iterate_components_static.dir/build.make CMakeFiles/entities_iterate_components_static.dir/build
.PHONY : entities_iterate_components_static/fast

#=============================================================================
# Target rules for targets named entities_multi_set_get

# Build rule for target.
entities_multi_set_get: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 entities_multi_set_get
.PHONY : entities_multi_set_get

# fast build rule for target.
entities_multi_set_get/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/entities_multi_set_get.dir/build.make CMakeFiles/entities_multi_set_get.dir/build
.PHONY : entities_multi_set_get/fast

#=============================================================================
# Target rules for targets named entities_multi_set_get_static

# Build rule for target.
entities_multi_set_get_static: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 entities_multi_set_get_static
.PHONY : entities_multi_set_get_static

# fast build rule for target.
entities_multi_set_get_static/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/entities_multi_set_get_static.dir/build.make CMakeFiles/entities_multi_set_get_static.dir/build
.PHONY : entities_multi_set_get_static/fast
