=== examples/cpp/build/flecs/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.22

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /Applications/CMake.app/Contents/bin/cmake

# The command to remove a file.
RM = /Applications/CMake.app/Contents/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /Users/sandermertens/GitHub/SanderMertens/flecs/examples/cpp

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /Users/sandermertens/GitHub/SanderMertens/flecs/examples/cpp/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/Applications/CMake.app/Contents/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/Applications/CMake.app/Contents/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/Applications/CMake.app/Contents/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/Applications/CMake.app/Contents/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/Applications/CMake.app/Contents/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/Applications/CMake.app/Contents/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/Applications/CMake.app/Contents/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/Applications/CMake.app/Contents/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /Users/sandermertens/GitHub/SanderMertens/flecs/examples/cpp/build && $(CMAKE_COMMAND) -E cmake_progress_start /Users/sandermertens/GitHub/SanderMertens/flecs/examples/cpp/build/CMakeFiles /Users/sandermertens/GitHub/SanderMertens/flecs/examples/cpp/build/flecs//CMakeFiles/progress.marks
	cd /Users/sandermertens/GitHub/SanderMertens/flecs/examples/cpp/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 flecs/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/sandermertens/GitHub/SanderMertens/flecs/examples/cpp/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /Users/sandermertens/GitHub/SanderMertens/flecs/examples/cpp/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 flecs/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /Users/sandermertens/GitHub/SanderMertens/flecs/examples/cpp/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 flecs/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /Users/sandermertens/GitHub/SanderMertens/flecs/examples/cpp/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 flecs/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /Users/sandermertens/GitHub/SanderMertens/flecs/examples/cpp/build && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
flecs/CMakeFiles/flecs.dir/rule:
	cd /Users/sandermertens/GitHub/SanderMertens/flecs/examples/cpp/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 flecs/CMakeFiles/flecs.dir/rule
.PHONY : flecs/CMakeFiles/flecs.dir/rule

# Convenience name for target.
flecs: flecs/CMakeFiles/flecs.dir/rule
.PHONY : flecs

# fast build rule for target.
flecs/fast:
	cd /Users/sandermertens/GitHub/SanderMertens/flecs/examples/cpp/build && $(MAKE) $(MAKESILENT) -f flecs/CMakeFiles/flecs.dir/build.make flecs/CMakeFiles/flecs.dir/build
.PHONY : flecs/fast

# Convenience name for target.
flecs/CMakeFiles/flecs_static.dir/rule:
	cd /Users/sandermertens/GitHub/SanderMertens/flecs/examples/cpp/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 flecs/CMakeFiles/flecs_static.dir/rule
.PHONY : flecs/CMakeFiles/flecs_static.dir/rule

# Convenience name for target.
flecs_static: flecs/CMakeFiles/flecs_static.dir/rule
.PHONY : flecs_static

# fast build rule for target.
flecs_static/fast:
	cd /Users/sandermertens/GitHub/SanderMertens/flecs/examples/cpp/build && $(MAKE) $(MAKESILENT) -f flecs/CMakeFiles/flecs_static.dir/build.make flecs/CMakeFiles/flecs_static.dir/build
.PHONY : flecs_static/fast

src/addons/alerts.o: src/addons/alerts.c.o
.PHONY : src/addons/alerts.o

# target to build an object file
src/addons/alerts.c.o:
	cd /Users/sandermertens/GitHub/SanderMertens/flecs/examples/cpp/build && $(MAKE) $(MAKESILENT) -f flecs/CMakeFiles/flecs.dir/build.make flecs/CMakeFiles/flecs.dir/src/addons/alerts.c.o
	cd /Users/sandermertens/GitHub/SanderMertens/flecs/examples/cpp/build && $(MAKE) $(MAKESILENT) -f flecs/CMakeFiles/flecs_static.dir/build.make flecs/CMakeFiles/flecs_static.dir/src/addons/alerts.c.o
.PHONY : src/addons/alerts.c.o

src/addons/alerts.i: src/addons/alerts.c.i
.PHONY : src/addons/alerts.i

# target to preprocess a source file
src/addons/alerts.c.i:
	cd /Users/sandermertens/GitHub/SanderMertens/flecs/examples/cpp/build && $(MAKE) $(MAKESILENT) -f flecs/CMakeFiles/flecs.dir/build.make flecs/CMakeFiles/flecs.dir/src/addons/alerts.c.i
	cd /Users/sandermertens/GitHub/SanderMertens/flecs/examples/cpp/build && $(MAKE) $(MAKESILENT) -f flecs/CMakeFiles/flecs_static.dir/build.make flecs/CMakeFiles/flecs_static.dir/src/addons/alerts.c.i
.PHONY : src/addons/alerts.c.i

src/addons/alerts.s: src/addons/alerts.c.s
.PHONY : src/addons/alerts.s

# target to generate assembly for a file
src/addons/alerts.c.s:
	cd /Users/sandermertens/GitHub/SanderMertens/flecs/examples/cpp/build && $(MAKE) $(MAKESILENT) -f flecs/CMakeFiles/flecs.dir/build.make flecs/CMakeFiles/flecs.dir/src/addons/alerts.c.s
	cd /Users/sandermertens/GitHub/SanderMertens/flecs/examples/cpp/build && $(MAKE) $(MAKESILENT) -f flecs/CMakeFiles/flecs_static.dir/build.make flecs/CMakeFiles/flecs_static.dir/src/addons/alerts.c.s
.PHONY : src/addons/alerts.c.s

src/addons/app.o: src/addons/app.c.o
.PHONY : src/addons/app.o

# target to build an object file
src/addons/app.c.o:
	cd /Users/sandermertens/GitHub/SanderMertens/flecs/examples/cpp/build && $(MAKE) $(MAKESILENT) -f flecs/CMakeFiles/flecs.dir/build.make flecs/CMakeFiles/flecs.dir/src/addons/app.c.o
	cd /Users/sandermertens/GitHub/SanderMertens/flecs/examples/cpp/build && $(MAKE) $(MAKESILENT) -f flecs/CMakeFiles/flecs_static.dir/build.make flecs/CMakeFiles/flecs_static.dir/src/addons/app.c.o
.PHONY : src/addons/app.c.o

src/addons/app.i: src/addons/app.c.i
.PHONY : src/addons/app.i

# target to preprocess a source file
src/addons/app.c.i:
	cd /Users/sandermertens/GitHub/SanderMertens/flecs/examples/cpp/build && $(MAKE) $(MAKESILENT) -f flecs/CMakeFiles/flecs.dir/build.make flecs/CMakeFiles/flecs.dir/src/addons/app.c.i
	cd /Users/sandermertens/GitHub/SanderMertens/flecs/examples/cpp/build && $(MAKE) $(MAKESILENT) -f flecs/CMakeFiles/flecs_static.dir/build.make flecs/CMakeFiles/flecs_static.dir/src/addons/app.c.i
.PHONY : src/addons/app.c.i

src/addons/app.s: src/addons/app.c.s
.PHONY : src/addons/app.s

# target to generate assembly for a file
src/addons/app.c.s:
	cd /Users/sandermertens/GitHub/SanderMertens/flecs/examples/cpp/build && $(MAKE) $(MAKESILENT) -f flecs/CMakeFiles/flecs.dir/build.make flecs/CMakeFiles/flecs.dir/src/addons/app.c.s
	cd /Users/sandermertens/GitHub/SanderMertens/flecs/examples/cpp/build && $(MAKE) $(MAKESILENT) -f flecs/CMakeFiles/flecs_static.dir/build.make flecs/CMakeFiles/flecs_static.dir/src/addons/app.c.s
.PHONY : src/addons/app.c.s

src/addons/doc.o: src/addons/doc.c.o
.PHONY : src/addons/doc.o

# target to build an object file
src/addons/doc.c.o:
	cd /Users/sandermertens/GitHub/SanderMertens/flecs/examples/cpp/build && $(MAKE) $(MAKESILENT) -f flecs/CMakeFiles/flecs.dir/build.make flecs/CMakeFiles/flecs.dir/src/addons/doc.c.o
	cd /Users/sandermertens/GitHub/SanderMertens/flecs/examples/cpp/build && $(MAKE) $(MAKESILENT) -f flecs/CMakeFiles/flecs_static.dir/build.make flecs/CMakeFiles/flecs_static.dir/src/addons/doc.c.o
.PHONY : src/addons/doc.c.o

src/addons/doc.i: src/addons/doc.c.i
.PHONY : src/addons/doc.i

# target to preprocess a source file
src/addons/doc.c.i:
	cd /Users/sandermertens/GitHub/SanderMertens/flecs/examples/cpp/build && $(MAKE) $(MAKESILENT) -f flecs/CMakeFiles/flecs.dir/build.make flecs/CMakeFiles/flecs.dir/src/addons/doc.c.i
	cd /Users/sandermertens/GitHub/SanderMertens/flecs/examples/cpp/build && $(MAKE) $(MAKESILENT) -f flecs/CMakeFiles/flecs_static.dir/build.make flecs/CMakeFiles/flecs_static.dir/src/addons/doc.c.i
.PHONY : src/addons/doc.c.i

src/addons/doc.s: src/addons/doc.c.s
.PHONY : src/addons/doc.s

# target to generate assembly for a file
src/addons/doc.c.s:
	cd /Users/sandermertens/GitHub/SanderMertens/flecs/examples/cpp/build && $(MAKE) $(MAKESILENT) -f flecs/CMakeFiles/flecs.dir/build.make flecs/CMakeFiles/flecs.dir/src/addons/doc.c.s
